[ISAPI_Rewrite]

# 3600 = 1 hour
CacheClockRate 3600

RepeatLimit 32

# Protect httpd.ini and httpd.parse.errors files
# from accessing through HTTP

RewriteRule /httpd(?:\.ini|\.parse\.errors).* / [F,I,O]

RewriteRule / /Index\.asp
RewriteRule /(\w+).html /$1\.asp

RewriteRule /(\w+)/(\d+).html /$1/View\.asp\?ID=$2 [I]


RewriteRule /YP/ /YP/Index\.asp
RewriteRule /YP/index.html /YP/Index\.asp
RewriteRule /YP/Search.html /YP/Search\.asp
RewriteRule /YP/Search.html\?Page=(\d+) /YP/Search\.asp\?Page=$1 [I]
RewriteRule /YP/Search.html\?TypeID=(\d+) /YP/Search\.asp\?TypeID=$1 [I]
RewriteRule /YP/Search.html\?TypeID=(\d+)&Page=(\d+) /YP/Search\.asp\?TypeID=$1&Page=$2 [I]
RewriteRule /YP/List.html\?ColumnID=(\d+)&ClassID=(\d+)&AreaID=(\d+) /YP/List\.asp\?ColumnID=$1&ClassID=$2&AreaID=$3 [I]
RewriteRule /YP/List.html\?ColumnID=(\d+)&ClassID=(\d+)&AreaID=(\d+)&Page=(\d+) /YP/List\.asp\?ColumnID=$1&ClassID=$2&AreaID=$3&Page=$4 [I]
RewriteRule /YP/List.html\?ColumnID=(\d+)&ClassID=(\d+)&AreaID=(\d+)&TypeID=(\d+) /YP/List\.asp\?ColumnID=$1&ClassID=$2&AreaID=$3&TypeID=$4 [I]
RewriteRule /YP/List.html\?ColumnID=(\d+)&ClassID=(\d+)&AreaID=(\d+)&TypeID=(\d+)&Page=(\d+) /YP/List\.asp\?ColumnID=$1&ClassID=$2&AreaID=$3&TypeID=$4&Page=$5 [I]

RewriteRule /LS/ /LS/Index\.asp
RewriteRule /LS/index.html /LS/Index\.asp
RewriteRule /LS/Search.html /LS/Search\.asp
RewriteRule /LS/Search.html\?Page=(\d+) /LS/Search\.asp\?Page=$1 [I]
RewriteRule /LS/List.html\?ClassID=(\d+)&AreaID=(\d+) /LS/List\.asp\?ClassID=$1&AreaID=$2 [I]
RewriteRule /LS/List.html\?ClassID=(\d+)&AreaID=(\d+)&Page=(\d+) /LS/List\.asp\?ClassID=$1&AreaID=$2&Page=$3 [I]

RewriteRule /Map/ /Map/Index\.asp
RewriteRule /Map/index.html /Map/Index\.asp
RewriteRule /Map/Index.html /Map/Index\.asp
RewriteRule /Map/index.html\?TypeID=(\d+) /Map/Index\.asp\?TypeID=$1 [I]
RewriteRule /Map/index.html\?TypeID=(\d+)&Page=(\d+) /Map/Index\.asp\?TypeID=$1&Page=$2 [I]
RewriteRule /Map/index.html\?StoreID=(\d+) /Map/Index\.asp\?StoreID=$1 [I]

RewriteRule /Info/ /Info/Index\.asp
RewriteRule /Info/index.html /Info/Index\.asp
RewriteRule /Info/House/List.html\?ColumnID=(\d+)&ClassID=(\d+)&AreaID=(\d+) /Info/House\.asp\?ColumnID=$1&ClassID=$2&AreaID=$3 [I]
RewriteRule /Info/House/List.html\?ColumnID=(\d+)&ClassID=(\d+)&AreaID=(\d+)&Page=(\d+) /Info/House\.asp\?ColumnID=$1&ClassID=$2&AreaID=$3&Page=$4 [I]
RewriteRule /Info/House/List.html\?ColumnID=(\d+)&ClassID=(\d+)&AreaID=(\d+)&StoreID=(\d+) /Info/House\.asp\?ColumnID=$1&ClassID=$2&AreaID=$3&StoreID=$4 [I]
RewriteRule /Info/House/List.html\?ColumnID=(\d+)&ClassID=(\d+)&AreaID=(\d+)&StoreID=(\d+)&Page=(\d+) /Info/House\.asp\?ColumnID=$1&ClassID=$2&AreaID=$3&StoreID=$4&Page=$5 [I]
RewriteRule /Info/House/(\d+).html /Info/HouseView\.asp\?ID=$1 [I]

RewriteRule /Info/Job/List.html\?ColumnID=(\d+)&ClassID=(\d+)&AreaID=(\d+) /Info/Job\.asp\?ColumnID=$1&ClassID=$2&AreaID=$3 [I]
RewriteRule /Info/Job/List.html\?ColumnID=(\d+)&ClassID=(\d+)&AreaID=(\d+)&Page=(\d+) /Info/Job\.asp\?ColumnID=$1&ClassID=$2&AreaID=$3&Page=$4 [I]
RewriteRule /Info/Job/List.html\?ColumnID=(\d+)&ClassID=(\d+)&AreaID=(\d+)&StoreID=(\d+) /Info/Job\.asp\?ColumnID=$1&ClassID=$2&AreaID=$3&StoreID=$4 [I]
RewriteRule /Info/Job/List.html\?ColumnID=(\d+)&ClassID=(\d+)&AreaID=(\d+)&StoreID=(\d+)&Page=(\d+) /Info/Job\.asp\?ColumnID=$1&ClassID=$2&AreaID=$3&StoreID=$4&Page=$5 [I]
RewriteRule /Info/Job/(\d+).html /Info/JobView\.asp\?ID=$1 [I]

RewriteRule /Info/Info/List.html\?ColumnID=(\d+)&ClassID=(\d+)&AreaID=(\d+) /Info/Info\.asp\?ColumnID=$1&ClassID=$2&AreaID=$3 [I]
RewriteRule /Info/Info/List.html\?ColumnID=(\d+)&ClassID=(\d+)&AreaID=(\d+)&Page=(\d+) /Info/Info\.asp\?ColumnID=$1&ClassID=$2&AreaID=$3&Page=$4 [I]
RewriteRule /Info/Info/List.html\?ColumnID=(\d+)&ClassID=(\d+)&AreaID=(\d+)&StoreID=(\d+) /Info/Info\.asp\?ColumnID=$1&ClassID=$2&AreaID=$3&StoreID=$4 [I]
RewriteRule /Info/Info/List.html\?ColumnID=(\d+)&ClassID=(\d+)&AreaID=(\d+)&StoreID=(\d+)&Page=(\d+) /Info/Info\.asp\?ColumnID=$1&ClassID=$2&AreaID=$3&StoreID=$4&Page=$5 [I]
RewriteRule /Info/Info/(\d+).html /Info/InfoView\.asp\?ID=$1 [I]

RewriteRule /User/(\w+).html /User/$1\.asp [I]
RewriteRule /User/(\w+).html\?ColumnID=(\d+) /User/$1\.asp\?ColumnID=$2 [I]
RewriteRule /User/(\w+).html\?Go=(\w+) /User/$1\.asp\?Go=$2 [I]
RewriteRule /User/(\w+).html\?Go=(\w+)&ColumnID=(\d+) /User/$1\.asp\?Go=$2&ColumnID=$3 [I]
RewriteRule /User/(\w+).html\?Go=(\w+)&ColumnID=(\d+)&ID=(\d+) /User/$1\.asp\?Go=$2&ColumnID=$3&ID=$4 [I]
RewriteRule /User/(\w+).html\?Go=(\w+)&ColumnID=(\d+)&ListId=(\d+) /User/$1\.asp\?Go=$2&ColumnID=$3&ListId=$4 [I]

RewriteRule /(\w+)/(\w+).html /$1/$2\.asp [I]
RewriteRule /(\w+)/(\w+).html\?Page=(\d+) /$1/$2\.asp\?Page=$3 [I]
RewriteRule /(\w+)/(\w+).html\?ColumnID=(\d+) /$1/$2\.asp\?ColumnID=$3 [I]
RewriteRule /(\w+)/(\w+).html\?ColumnID=(\d+)&ClassID=(\d+) /$1/$2\.asp\?ColumnID=$3&ClassID=$4 [I]


RewriteRule /Post/ /Post/Index\.asp
RewriteRule /Post/index.html /Post/Index\.asp
RewriteRule /Post/(\d+)/ /Post/Post$1\.asp [I]
RewriteRule /Post/(\d+)/(\d+)/ /Post/Post$1\.asp\?ColumnID=$2 [I]
RewriteRule /Post/(\d+)/(\d+)/Save.html /Post/Post$1\.asp\?ColumnID=$2&Go=Save [I]
RewriteRule /Post/(\d+)/(\d+)/Finish.html /Post/Finish\.asp\?SystemID=$1&ColumnID=$2 [I]

RewriteRule /(\w+)/ /$1/Index\.asp [I]
RewriteRule /(\w+)/(\w+)\.asp /$1/$2\.asp [I]
RewriteRule /(\w+)/\?SystemID=(\d+) /$1/\?SystemID=$2 [I]
RewriteRule /(\w+)/\?Keyword=(\w+) /$1/\?Keyword=$2 [I]
RewriteRule /(\w+)/\?SystemID=(\d+)&ColumnID=(\d+)&ClassID=(\d+)&AreaID=(\d+) /$1/\?SystemID=$2&ColumnID=$3&ClassID=$4&AreaID=$5 [I]
RewriteRule /(\w+)/\?SystemID=(\d+)&ColumnID=(\d+)&ClassID=(\d+)&AreaID=(\d+)&Page=(\d+) /$1/\?SystemID=$2&ColumnID=$3&ClassID=$4&AreaID=$5&Page=$6 [I]

RewriteRule /(\w+)/\?ClassID=(\d+) /$1/Index\.asp\?ClassID=$2 [I]
RewriteRule /(\w+)/\?ID=(\d+) /$1/Index\.asp\?ID=$2 [I]

RewriteRule /Store/$ /Store/Index\.asp [I]
RewriteRule /Store/Index.html$ /Store/Index\.asp [I]
RewriteRule /Store/Index.html\?ColumnID=(\d+)&ClassID=(\d+)&AreaID=(\d+) /Store/Index\.asp\?ColumnID=$1&ClassID=$2&AreaID=$3 [I]
RewriteRule /Store/Index.html\?ColumnID=(\d+)&ClassID=(\d+)&AreaID=(\d+)&Page=(\d+) /Store/Index\.asp\?ColumnID=$1&ClassID=$2&AreaID=$3&Page=$4 [I]


RewriteRule /Store/(\d+).html$ /Store/View\.asp\?ID=$1 [I]
RewriteRule /Store/(\d+).html\?Go=(\w+)$ /Store/View\.asp\?ID=$1&Go=$2 [I]
RewriteRule /Store/(\w+)/(\d+).html$ /Store/$1\.asp\?ID=$2 [I]
RewriteRule /Store/(\w+)/(\d+).html\?Go=(\w+)$ /Store/$1\.asp\?ID=$2&Go=$3 [I]
RewriteRule /Store/(\w+)/(\d+).html\?Go=(\w+)&ArticleID=(\d+)$ /Store/$1\.asp\?ID=$2&Go=$3&ArticleID=$4 [I]

RewriteRule /Store/Join/$ /Store/Join\.asp
RewriteRule /Store/Join/AddOk/$ /Store/Join\.asp\?go=AddOk

RewriteRule /Store/Map/(\d+)/$ /Store/StoreMap\.asp\?ID=$1 [I]
RewriteRule /Store/Map/IsEdit/(\d+)/$ /Store/StoreMap\.asp\?ID=$1&go=IsEdit [I]
RewriteRule /Store/Map/EditOk/(\d+)/$ /Store/StoreMap\.asp\?ID=$1&go=EditOk [I]

RewriteRule /Store/Password/(\d+)/$ /Store/StorePassword\.asp\?ID=$1 [I]
RewriteRule /Store/Password/IsEdit/(\d+)/$ /Store/StorePassword\.asp\?ID=$1&go=IsEdit [I]
RewriteRule /Store/Password/EditOk/(\d+)/$ /Store/StorePassword\.asp\?ID=$1&go=EditOk [I]

RewriteRule /Store/Msg/(\d+)/$ /Store/StoreMsg\.asp\?ID=$1 [I]
RewriteRule /Store/Msg/IsEdit/(\d+)/$ /Store/StoreMsg\.asp\?ID=$1&go=IsEdit [I]
RewriteRule /Store/Msg/EditOk/(\d+)/$ /Store/StoreMsg\.asp\?ID=$1&go=EditOk [I]

RewriteRule /Store/News/(\d+)/$ /Store/StoreNews\.asp\?ID=$1 [I]
RewriteRule /Store/News/([a-z]+)/(\d+)/$ /Store/StoreNews\.asp\?go=$1&ID=$2 [I]
RewriteRule /Store/News/([a-z]+)/(\d+)/([0-9]+)/$ /Store/StoreNews\.asp\?go=$1&ID=$2&ArticleID=$3 [I]
RewriteRule /Store/News/([a-z]+)/(\d+)/([0-9]+).html$ /Store/StoreNews\.asp\?go=$1&ID=$2&Page=$3 [I]
RewriteRule /Store/News/(\d+)/([0-9]+).html$ /Store/StoreNews\.asp\?ID=$1&Page=$2 [I]

RewriteRule /Store/Job/(\d+)/$ /Store/StoreJob\.asp\?ID=$1 [I]
RewriteRule /Store/Job/([a-z]+)/(\d+)/$ /Store/StoreJob\.asp\?go=$1&ID=$2 [I]
RewriteRule /Store/Job/([a-z]+)/(\d+)/([0-9]+)/$ /Store/StoreJob\.asp\?go=$1&ID=$2&JobID=$3 [I]
RewriteRule /Store/Job/([a-z]+)/(\d+)/([0-9]+).html$ /Store/StoreJob\.asp\?go=$1&ID=$2&Page=$3 [I]
RewriteRule /Store/Job/(\d+)/([0-9]+).html$ /Store/StoreJob\.asp\?ID=$1&Page=$2 [I]

RewriteRule /Store/House/(\d+)/$ /Store/StoreHouse\.asp\?ID=$1 [I]
RewriteRule /Store/House/([a-z]+)/(\d+)/$ /Store/StoreHouse\.asp\?go=$1&ID=$2 [I]
RewriteRule /Store/House/([a-z]+)/(\d+)/([0-9]+)/$ /Store/StoreHouse\.asp\?go=$1&ID=$2&HouseID=$3 [I]
RewriteRule /Store/House/([a-z]+)/(\d+)/([0-9]+).html$ /Store/StoreHouse\.asp\?go=$1&ID=$2&Page=$3 [I]
RewriteRule /Store/House/(\d+)/([0-9]+).html$ /Store/StoreHouse\.asp\?ID=$1&Page=$2 [I]

RewriteRule /Store/Info/(\d+)/$ /Store/StoreInfo\.asp\?ID=$1 [I]
RewriteRule /Store/Info/([a-z]+)/(\d+)/$ /Store/StoreInfo\.asp\?go=$1&ID=$2 [I]
RewriteRule /Store/Info/([a-z]+)/(\d+)/([0-9]+)/$ /Store/StoreInfo\.asp\?go=$1&ID=$2&InfoID=$3 [I]
RewriteRule /Store/Info/([a-z]+)/(\d+)/([0-9]+).html$ /Store/StoreInfo\.asp\?go=$1&ID=$2&Page=$3 [I]
RewriteRule /Store/Info/(\d+)/([0-9]+).html$ /Store/StoreInfo\.asp\?ID=$1&Page=$2 [I]

RewriteRule /Store/BuyMore/(\d+)/$ /Store/StoreBuyMore\.asp\?ID=$1 [I]
RewriteRule /Store/BuyMore/([a-z]+)/(\d+)/$ /Store/StoreBuyMore\.asp\?go=$1&ID=$2 [I]
RewriteRule /Store/BuyMore/([a-z]+)/(\d+)/([0-9]+)/$ /Store/StoreBuyMore\.asp\?go=$1&ID=$2&BuyMoreID=$3 [I]
RewriteRule /Store/BuyMore/([a-z]+)/(\d+)/([0-9]+).html$ /Store/StoreBuyMore\.asp\?go=$1&ID=$2&Page=$3 [I]
RewriteRule /Store/BuyMore/(\d+)/([0-9]+).html$ /Store/StoreBuyMore\.asp\?ID=$1&Page=$2 [I]

RewriteRule /Store/Discount/(\d+)/$ /Store/StoreDiscount\.asp\?ID=$1 [I]
RewriteRule /Store/Discount/([a-z]+)/(\d+)/$ /Store/StoreDiscount\.asp\?go=$1&ID=$2 [I]
RewriteRule /Store/Discount/([a-z]+)/(\d+)/([0-9]+)/$ /Store/StoreDiscount\.asp\?go=$1&ID=$2&ArticleID=$3 [I]
RewriteRule /Store/Discount/([a-z]+)/(\d+)/([0-9]+).html$ /Store/StoreDiscount\.asp\?go=$1&ID=$2&Page=$3 [I]
RewriteRule /Store/Discount/(\d+)/([0-9]+).html$ /Store/StoreDiscount\.asp\?ID=$1&Page=$2 [I]

RewriteRule /Store/Albums/(\d+)/$ /Store/StoreAlbums\.asp\?ID=$1 [I]
RewriteRule /Store/Albums/IsEdit/(\d+)/$ /Store/StoreAlbums\.asp\?ID=$1&go=IsEdit [I]
RewriteRule /Store/Albums/EditOk/(\d+)/$ /Store/StoreAlbums\.asp\?ID=$1&go=EditOk [I]

RewriteRule /Store/Article/(\d+)/$ /Store/Article\.asp\?ColumnID=$1 [I]
RewriteRule /Store/Article/(\d+)/(\d+).html$ /Store/Article\.asp\?ColumnID=$1&Page=$2 [I]
RewriteRule /Store/ArtView/(\d+).html$ /Store/ArtView\.asp\?ID=$1 [I]

RewriteRule /Store/Search/$ /Store/Search\.asp [I]
RewriteRule /Store/Search/(\d+).html$ /Store/Search\.asp\?Page=$1 [I]